
GammaLib - Action #460

Feature # 457 (Closed): Finalize test suite usage

Clean up test code (remove try-block when not needed).

09/01/2012 03:49 AM - Knödlseder Jürgen

Status: Closed Start date: 09/04/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 35.00 hours

Target version: 00-06-00   

Description

History

#1 - 09/04/2012 03:56 PM - Knödlseder Jürgen

- Start date set to 09/04/2012

due to changes in a related task

#2 - 09/04/2012 04:00 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 20

The cleaning-up of test code has started using the instrument specific classes.

We still need to adapt the matrix classes for the new test suite scheme.

#3 - 09/05/2012 12:03 AM - Knödlseder Jürgen

- % Done changed from 20 to 50

Updated unit test for symmetric matrix. This test is now pretty clean. It can be used to clone similar tests for the spare and the generic matrix classes.

I also profited from the refactoring and cleaned up a little bit the matrix classes.

#4 - 09/06/2012 09:05 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

- Remaining (hours) changed from 35.0 to 0.0

Finished implementation of test suite usage in GammaLib unit tests.

#5 - 09/14/2012 11:33 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
